import logging
from typing import Dict
from common.orm.fields.ForeignKeyField import ForeignKeyField
from common.orm.fields.PrimaryKeyField import PrimaryKeyField
from common.orm.fields.StringField import StringField
from common.orm.model.Model import Model
from .ContextModel import ContextModel

LOGGER = logging.getLogger(__name__)

class TopologyModel(Model):
    pk = PrimaryKeyField()
    context_fk = ForeignKeyField(ContextModel)
    topology_uuid = StringField(required=True, allow_empty=False)

#    def dump_id(self) -> Dict:
#        context_id = ContextModel(self.database, self.context_fk).dump_id()
#        return {
#            'context_id': context_id,
#            'topology_uuid': {'uuid': self.topology_uuid},
#        }

#    def dump(self) -> Dict:
#        result = {'topology_id': self.dump_id()}
#        return result
